Index: libfac/charset/alg_factor.cc
===================================================================
--- libfac/charset/alg_factor.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/charset/alg_factor.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -827,81 +827,2 @@
   return Output;
 }
-
-/*
-$Log: not supported by cvs2svn $
-Revision 1.27  2009/06/04 17:54:59  Singular
-*hannes: code cleanup
-
-Revision 1.26  2008/11/06 14:47:03  Singular
-*hannes: newfactoras
-
-Revision 1.25  2008/11/06 14:05:51  Singular
-*hannes: newfactoras
-
-Revision 1.24  2008/06/10 14:49:14  Singular
-*hannes: licence stuff
-
-Revision 1.23  2008/04/08 16:19:09  Singular
-*hannes: removed rcsid
-
-Revision 1.22  2008/03/18 17:46:14  Singular
-*hannes: gcc 4.2
-
-Revision 1.21  2008/03/17 17:44:15  Singular
-*hannes: fact.tst
-
-Revision 1.17  2007/05/15 14:46:48  Singular
-*hannes: factorize in Zp(a)[x...]
-
-Revision 1.16  2006/05/16 14:46:48  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.15  2005/10/17 13:16:18  Singular
-*hannes: code cleanup
-
-Revision 1.14  2005/07/08 09:18:15  Singular
-*hannes: fixed call of resultant
-
-Revision 1.13  2004/12/10 10:15:05  Singular
-*pohl: AlgExtGenerator etc.
-
-Revision 1.12  2003/02/18 11:09:25  Singular
-* hannes: alg_gcd(f,f'=0) get a special handling
-
-Revision 1.11  2002/10/24 17:22:21  Singular
-* hannes: factoring in alg.ext., alg_gcd, NTL stuff
-
-Revision 1.10  2002/08/19 11:11:29  Singular
-* hannes/pfister: alg_gcd etc.
-
-Revision 1.9  2002/07/30 15:16:19  Singular
-*hannes: fix for alg. extension
-
-Revision 1.8  2001/08/06 08:32:53  Singular
-* hannes: code cleanup
-
-Revision 1.7  2001/06/27 13:58:05  Singular
-*hannes/GP: debug newfactoras, char_series, ...
-
-Revision 1.6  2001/06/21 14:57:04  Singular
-*hannes/GP: Factorize, newfactoras, ...
-
-Revision 1.5  2001/06/18 08:44:39  pfister
-* hannes/GP/michael: factory debug, Factorize
-
-Revision 1.4  1998/05/25 18:32:38  obachman
-1998-05-25  Olaf Bachmann  <obachman@mathematik.uni-kl.de>
-
-        * charset/alg_factor.cc: replaced identifiers 'random' by
-        'myrandom' to avoid name conflicts with the built-in (stdlib)
-        library function 'random' which might be a macro -- and, actually
-        is  under gcc v 2.6.3
-
-Revision 1.3  1998/03/12 12:34:24  schmidt
-        * charset/csutil.cc, charset/alg_factor.cc: all references to
-          `common_den()' replaced by `bCommonDen()'
-
-Revision 1.2  1997/09/12 07:19:37  Singular
-* hannes/michael: libfac-0.3.0
-
-*/
Index: libfac/charset/algfactor.cc
===================================================================
--- libfac/charset/algfactor.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/charset/algfactor.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -445,36 +445,2 @@
 // x^2*z^2-6909*x*z^2-3537*z^2-14344*x^2
 
-
-/*
-$Log: not supported by cvs2svn $
-Revision 1.12  2008/04/08 16:19:09  Singular
-*hannes: removed rcsid
-
-Revision 1.11  2008/03/18 17:46:14  Singular
-*hannes: gcc 4.2
-
-Revision 1.10  2008/03/17 17:44:16  Singular
-*hannes: fact.tst
-
-Revision 1.8  2006/06/19 13:37:46  Singular
-*hannes: more CS renamed
-
-Revision 1.7  2006/05/16 14:46:48  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.6  2002/08/19 11:11:30  Singular
-* hannes/pfister: alg_gcd etc.
-
-Revision 1.5  2001/06/27 13:58:05  Singular
-*hannes/GP: debug newfactoras, char_series, ...
-
-Revision 1.4  2001/06/21 14:57:04  Singular
-*hannes/GP: Factorize, newfactoras, ...
-
-Revision 1.3  2001/06/18 08:44:40  pfister
-* hannes/GP/michael: factory debug, Factorize
-
-Revision 1.2  1997/09/12 07:19:38  Singular
-* hannes/michael: libfac-0.3.0
-
-*/
Index: libfac/charset/charset.cc
===================================================================
--- libfac/charset/charset.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/charset/charset.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -605,52 +605,2 @@
 
 ///////////////////////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.16  2008/06/01 17:48:13  Singular
-*hannes: sqrfree etc
-
-Revision 1.15  2008/05/31 17:20:10  Singular
-hannes: minor irras changes
-
-Revision 1.14  2008/04/08 16:19:09  Singular
-*hannes: removed rcsid
-
-Revision 1.13  2008/03/18 17:46:14  Singular
-*hannes: gcc 4.2
-
-Revision 1.12  2006/06/14 15:35:08  Singular
-*hannes: CS renamed
-
-Revision 1.11  2006/05/16 14:46:49  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.10  2002/08/19 11:11:31  Singular
-* hannes/pfister: alg_gcd etc.
-
-Revision 1.9  2001/08/08 14:26:54  Singular
-*hannes: Dan's HAVE_SINGULAR_ERROR
-
-Revision 1.8  2001/08/06 08:32:53  Singular
-* hannes: code cleanup
-
-Revision 1.7  2001/06/27 13:58:06  Singular
-*hannes/GP: debug newfactoras, char_series, ...
-
-Revision 1.6  2000/03/08 12:54:35  obachman
- * comment out warning "libfac: Factoring over algebraic function
-   field required!"
-
-Revision 1.5  2000/03/08 12:45:41  obachman
-* fixed Singular includes
-
-Revision 1.4  1999/06/15 12:54:54  Singular
-* hannes: debug fixes for Singular-interface
-
-Revision 1.3  1997/09/12 07:19:40  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:52:28  michael
-changed cerr and cout messages for use with Singular
-Version for libfac-0.2.1
-
-*/
Index: libfac/charset/charset.h
===================================================================
--- libfac/charset/charset.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/charset/charset.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -20,13 +20,2 @@
 
 #endif /* INCL_CHARSET_H */
-
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.3  1997/09/12 07:19:41  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:42:10  michael
-Version for libfac-0.2.1
-
-*/
Index: libfac/charset/csutil.cc
===================================================================
--- libfac/charset/csutil.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/charset/csutil.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -983,61 +983,2 @@
     return res;
 }
-
-/*
-$Log: not supported by cvs2svn $
-Revision 1.18  2008/04/08 16:19:10  Singular
-*hannes: removed rcsid
-
-Revision 1.17  2008/03/18 17:46:15  Singular
-*hannes: gcc 4.2
-
-Revision 1.16  2008/02/22 12:16:02  Singular
-hannes: genZero ->isZero
-
-Revision 1.15  2007/10/16 15:49:49  Singular
-SAGE: remove alg content in myfitting
-
-Revision 1.14  2007/05/15 14:46:48  Singular
-*hannes: factorize in Zp(a)[x...]
-
-Revision 1.13  2006/06/19 13:37:47  Singular
-*hannes: more CS renamed
-
-Revision 1.12  2006/05/16 14:46:49  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.11  2006/05/16 13:48:13  Singular
-*hannes: gcc 4.1 fix: factory changes
-
-Revision 1.10  2006/04/28 13:45:29  Singular
-*hannes: better tests for 0, 1
-
-Revision 1.9  2003/05/28 11:52:52  Singular
-*pfister/hannes: newfactoras, alg_gcd, divide (see bug_33)
-
-Revision 1.8  2002/10/24 17:22:22  Singular
-* hannes: factoring in alg.ext., alg_gcd, NTL stuff
-
-Revision 1.7  2002/08/19 11:11:31  Singular
-* hannes/pfister: alg_gcd etc.
-
-Revision 1.6  2002/01/21 09:11:07  Singular
-* hannes: handle empty set in removecontent
-
-Revision 1.5  2001/06/21 14:57:04  Singular
-*hannes/GP: Factorize, newfactoras, ...
-
-Revision 1.4  1998/03/12 12:34:35  schmidt
-        * charset/csutil.cc, charset/alg_factor.cc: all references to
-          `common_den()' replaced by `bCommonDen()'
-
-Revision 1.3  1997/09/12 07:19:41  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.3  1997/04/25 22:55:00  michael
-Version for libfac-0.2.1
-
-Revision 1.2  1996/12/13 05:53:42  michael
-fixed a typo in nopower
-
-*/
Index: libfac/charset/csutil.h
===================================================================
--- libfac/charset/csutil.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/charset/csutil.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -77,18 +77,2 @@
 #endif /* INCL_CSUTIL_H */
 
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.5  2006/06/14 15:35:08  Singular
-*hannes: CS renamed
-
-Revision 1.4  2002/08/19 11:11:32  Singular
-* hannes/pfister: alg_gcd etc.
-
-Revision 1.3  1997/09/12 07:19:42  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.3  1997/04/25 22:51:48  michael
-Version for libfac-0.2.1
-
-*/
Index: libfac/charset/reorder.cc
===================================================================
--- libfac/charset/reorder.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/charset/reorder.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -404,25 +404,3 @@
   return Q1;
 }
-/*
-$Log: not supported by cvs2svn $
-Revision 1.6  2008/04/08 16:19:10  Singular
-*hannes: removed rcsid
-
-Revision 1.5  2008/03/18 17:46:15  Singular
-*hannes: gcc 4.2
-
-Revision 1.4  2006/05/16 14:46:49  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.3  1997/09/12 07:19:44  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:53:25  michael
-changed cerr and cout messages for use with Singular
-Version for libfac-0.2.1
-
-Revision 1.1  1996/12/19 03:46:05  michael
-Initial revision
-
-*/   
-
+
Index: libfac/charset/reorder.h
===================================================================
--- libfac/charset/reorder.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/charset/reorder.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -42,13 +42,2 @@
 
 #endif /* INCL_REORDER_H */
-
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.3  1997/09/12 07:19:45  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.1  1997/04/25 22:50:41  michael
-Initial revision
-
-*/
Index: libfac/factor.h
===================================================================
--- libfac/factor.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -1,4 +1,5 @@
 // Header file for libfac.a
 // Created by -- makeheader --
+// $Id$
 ///////////////////////////////////////
 #ifndef FACTOR_H
Index: libfac/factor/Factor.cc
===================================================================
--- libfac/factor/Factor.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/Factor.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -654,4 +654,5 @@
   // INTERRUPTHANDLER
 
+  if (F.inCoeffDomain()) {  return CFFList(CFFactor(F,1)); }
   if ( F.isUnivariate() ) // could have lost one Variable elsewhere
   {
@@ -1333,146 +1334,2 @@
 }
 
-/*
-$Log: not supported by cvs2svn $
-Revision 1.48  2008/06/10 14:49:15  Singular
-*hannes: licence stuff
-
-Revision 1.47  2008/06/01 17:48:14  Singular
-*hannes: sqrfree etc
-
-Revision 1.46  2008/05/31 17:20:10  Singular
-hannes: minor irras changes
-
-Revision 1.45  2008/04/08 16:19:10  Singular
-*hannes: removed rcsid
-
-Revision 1.44  2008/03/18 17:46:15  Singular
-*hannes: gcc 4.2
-
-Revision 1.43  2008/03/18 10:12:21  Singular
-*hannes: format
-
-Revision 1.42  2008/03/17 17:44:16  Singular
-*hannes: fact.tst
-
-Revision 1.38  2008/01/07 13:34:56  Singular
-*hannes: omse optiomzations(isOne)
-
-Revision 1.37  2007/10/25 14:45:41  Singular
-*hannes: homgfactor for alg.ext of Q
-
-Revision 1.36  2007/10/15 18:03:11  Singular
-*hannes: // debug stuff
-
-Revision 1.35  2007/06/14 14:16:35  Singular
-*hannes: Factorize2 etc.
-
-Revision 1.34  2007/06/02 10:21:57  Singular
-*hannes: fdivides2 again
-
-Revision 1.33  2007/05/25 16:02:01  Singular
-*hannes: removed diophant_error, format
-
-Revision 1.32  2007/05/25 12:59:05  Singular
-*hannes: fdivides2
-
-Revision 1.31  2007/05/22 14:49:52  Singular
-*hannes: format
-
-Revision 1.30  2007/05/22 14:30:53  Singular
-*hannes: diophant_error
-
-Revision 1.29  2007/05/22 13:18:57  Singular
-*hannes: Factorize2: div test, sort etc.
-
-Revision 1.28  2007/05/21 17:56:55  Singular
-*hannes: fixed exp.
-
-Revision 1.27  2007/05/21 16:50:56  Singular
-*hannes: fix fdivide test
-
-Revision 1.26  2007/05/21 16:40:12  Singular
-*hannes: Factorize2
-
-Revision 1.25  2007/05/15 15:50:42  Singular
-*hannes: Factorize2
-
-Revision 1.24  2007/05/15 14:46:48  Singular
-*hannes: factorize in Zp(a)[x...]
-
-Revision 1.23  2006/05/16 14:46:49  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.22  2006/04/28 13:46:29  Singular
-*hannes: better tests for 0, 1
-
-Revision 1.21  2005/12/12 18:02:03  Singular
-*hannes: use sorting option in Factorize
-
-Revision 1.20  2005/12/05 15:47:32  Singular
-*hannes: is_homogeneous -> factory: isHomogeneous
-
-Revision 1.19  2005/10/17 13:18:44  Singular
-*hannes: apply sqrFree before newfactoras (Factorize in Q(a))
-
-Revision 1.18  2005/10/17 13:17:39  Singular
-*hannes: aplly sqrFree before newfactoras (Factorize in Q(a))
-
-Revision 1.17  2004/12/10 10:15:06  Singular
-*pohl: AlgExtGenerator etc.
-
-Revision 1.16  2003/05/28 11:52:52  Singular
-*pfister/hannes: newfactoras, alg_gcd, divide (see bug_33)
-
-Revision 1.15  2003/02/14 15:51:15  Singular
-* hannes: bugfix
-          could not factorize x2+xy+y2 in Fp(a)[x,y], a2+a+1=0
-          (factorize2 does nor sanity checks)
-
-Revision 1.14  2002/08/19 11:11:32  Singular
-* hannes/pfister: alg_gcd etc.
-
-Revision 1.13  2002/07/30 17:06:47  Singular
-*hannes: uuh - factorize in Q(a)[x] is missing, use Q[a][x].
-
-Revision 1.12  2002/07/30 15:10:22  Singular
-*hannes: added Factorize for alg. ext.
-
-Revision 1.11  2001/08/22 14:21:16  Singular
-*hannes: added search for main var to Factorize
-
-Revision 1.10  2001/08/08 14:26:55  Singular
-*hannes: Dan's HAVE_SINGULAR_ERROR
-
-Revision 1.9  2001/08/08 11:59:12  Singular
-*hannes: Dan's NOSTREAMIO changes
-
-Revision 1.8  2001/08/06 08:32:54  Singular
-* hannes: code cleanup
-
-Revision 1.7  2001/06/21 14:57:05  Singular
-*hannes/GP: Factorize, newfactoras, ...
-
-Revision 1.6  2001/06/18 08:44:41  pfister
-* hannes/GP/michael: factory debug, Factorize
-
-Revision 1.5  1999/06/15 12:54:55  Singular
-* hannes: debug fixes for Singular-interface
-
-Revision 1.4  1997/11/18 16:39:04  Singular
-* hannes: moved WerrorS from C++ to C
-     (Factor.cc MVMultiHensel.cc SqrFree.cc Truefactor.cc)
-
-Revision 1.3  1997/09/12 07:19:46  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.6  1997/04/25 22:18:40  michael
-changed lc == 1 to lc == unit in choose_mainvar
-changed cerr and cout messages for use with Singular
-Version for libfac-0.2.1
-
-Revision 1.5  1997/01/17 05:04:03  michael
-* added support for homogenous polynomials
-* exported functions to homogfactor.cc
-
-*/
Index: libfac/factor/Factor.h
===================================================================
--- libfac/factor/Factor.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/Factor.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -15,21 +15,2 @@
 #endif /* FACTOR_H */
 
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.6  2008/05/31 17:20:10  Singular
-hannes: minor irras changes
-
-Revision 1.5  2002/08/19 11:11:33  Singular
-* hannes/pfister: alg_gcd etc.
-
-Revision 1.4  2002/07/30 15:05:38  Singular
-*hannes: added Factorize for alg. ext.
-
-Revision 1.3  1997/09/12 07:19:47  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.3  1997/04/25 22:11:35  michael
-version for libfac-0.2.1
-
-*/
Index: libfac/factor/MVMultiHensel.cc
===================================================================
--- libfac/factor/MVMultiHensel.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/MVMultiHensel.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -516,53 +516,2 @@
   return Returnlist;
 }
-
-/*
-$Log: not supported by cvs2svn $
-Revision 1.18  2008/03/18 17:46:15  Singular
-*hannes: gcc 4.2
-
-Revision 1.17  2008/03/17 17:44:16  Singular
-*hannes: fact.tst
-
-Revision 1.14  2007/06/14 14:16:35  Singular
-*hannes: Factorize2 etc.
-
-Revision 1.13  2007/05/25 16:02:02  Singular
-*hannes: removed diophant_error, format
-
-Revision 1.12  2007/05/22 14:30:53  Singular
-*hannes: diophant_error
-
-Revision 1.11  2007/05/21 16:40:12  Singular
-*hannes: Factorize2
-
-Revision 1.10  2007/05/15 14:46:49  Singular
-*hannes: factorize in Zp(a)[x...]
-
-Revision 1.9  2006/05/16 14:46:49  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.8  2002/07/30 15:11:19  Singular
-*hannes: minor cleanups
-
-Revision 1.7  2001/08/22 14:21:17  Singular
-*hannes: added search for main var to Factorize
-
-Revision 1.6  2001/08/08 14:26:55  Singular
-*hannes: Dan's HAVE_SINGULAR_ERROR
-
-Revision 1.5  2001/08/08 11:59:12  Singular
-*hannes: Dan's NOSTREAMIO changes
-
-Revision 1.4  1997/11/18 16:39:05  Singular
-* hannes: moved WerrorS from C++ to C
-     (Factor.cc MVMultiHensel.cc SqrFree.cc Truefactor.cc)
-
-Revision 1.3  1997/09/12 07:19:48  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.4  1997/04/25 22:40:02  michael
-changed cerr and cout messages for use with Singular
-Version for libfac-0.2.1
-
-*/
Index: libfac/factor/MVMultiHensel.h
===================================================================
--- libfac/factor/MVMultiHensel.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/MVMultiHensel.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -15,16 +15,2 @@
 
 #endif /* MULTIHENSEL_H */
-
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.4  2007/05/21 16:40:12  Singular
-*hannes: Factorize2
-
-Revision 1.3  1997/09/12 07:19:48  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:31:40  michael
-Version for libfac-0.2.1
-
-*/
Index: libfac/factor/SqrFree.cc
===================================================================
--- libfac/factor/SqrFree.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/SqrFree.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -452,59 +452,2 @@
   return outputlist;
 }
-
-/*
-$Log: not supported by cvs2svn $
-Revision 1.22  2008/06/01 17:48:14  Singular
-*hannes: sqrfree etc
-
-Revision 1.21  2008/05/31 17:20:10  Singular
-hannes: minor irras changes
-
-Revision 1.20  2008/05/14 12:38:26  Singular
-*hannes: swapvar ->replacevar
-
-Revision 1.19  2008/05/05 14:54:29  Singular
-*hannes: switch representation and normalize in SqrFreeMV
-
-Revision 1.18  2008/04/08 16:19:10  Singular
-*hannes: removed rcsid
-
-Revision 1.17  2008/03/18 17:46:15  Singular
-*hannes: gcc 4.2
-
-Revision 1.16  2008/03/18 10:12:59  Singular
-*hannes: typo
-
-Revision 1.15  2008/03/17 17:44:16  Singular
-*hannes: fact.tst
-
-Revision 1.10  2006/05/16 14:46:50  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.9  2006/04/28 13:46:29  Singular
-*hannes: better tests for 0, 1
-
-Revision 1.8  2002/08/19 11:11:33  Singular
-* hannes/pfister: alg_gcd etc.
-
-Revision 1.7  2001/08/08 14:27:38  Singular
-*hannes: Dan's HAVE_SINGULAR_ERROR
-
-Revision 1.6  2001/08/08 14:26:56  Singular
-*hannes: Dan's HAVE_SINGULAR_ERROR
-
-Revision 1.5  2001/08/08 11:59:13  Singular
-*hannes: Dan's NOSTREAMIO changes
-
-Revision 1.4  1997/11/18 16:39:06  Singular
-* hannes: moved WerrorS from C++ to C
-     (Factor.cc MVMultiHensel.cc SqrFree.cc Truefactor.cc)
-
-Revision 1.3  1997/09/12 07:19:50  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.4  1997/04/25 22:19:46  michael
-changed cerr and cout messages for use with Singular
-Version for libfac-0.2.1
-
-*/
Index: libfac/factor/SqrFree.h
===================================================================
--- libfac/factor/SqrFree.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/SqrFree.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -13,19 +13,2 @@
 CFFList SqrFree( const CanonicalForm & f ) ;
 #endif /* SQRFREE_H */
-
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.7  2008/03/17 17:44:16  Singular
-*hannes: fact.tst
-
-Revision 1.4  2002/08/19 11:11:34  Singular
-* hannes/pfister: alg_gcd etc.
-
-Revision 1.3  1997/09/12 07:19:51  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:13:03  michael
-Version for libfac-0.2.1
-
-*/
Index: libfac/factor/Truefactor.cc
===================================================================
--- libfac/factor/Truefactor.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/Truefactor.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -447,43 +447,2 @@
 
 ////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.15  2008/03/18 17:46:15  Singular
-*hannes: gcc 4.2
-
-Revision 1.14  2008/03/17 17:44:16  Singular
-*hannes: fact.tst
-
-Revision 1.11  2008/01/07 13:34:56  Singular
-*hannes: omse optiomzations(isOne)
-
-Revision 1.10  2006/05/16 14:46:50  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.9  2001/08/08 14:26:56  Singular
-*hannes: Dan's HAVE_SINGULAR_ERROR
-
-Revision 1.8  2001/08/08 11:59:13  Singular
-*hannes: Dan's NOSTREAMIO changes
-
-Revision 1.7  2001/08/06 08:32:54  Singular
-* hannes: code cleanup
-
-Revision 1.6  2001/06/27 13:58:06  Singular
-*hannes/GP: debug newfactoras, char_series, ...
-
-Revision 1.5  2001/06/21 14:57:06  Singular
-*hannes/GP: Factorize, newfactoras, ...
-
-Revision 1.4  1997/11/18 16:39:07  Singular
-* hannes: moved WerrorS from C++ to C
-     (Factor.cc MVMultiHensel.cc SqrFree.cc Truefactor.cc)
-
-Revision 1.3  1997/09/12 07:19:52  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.3  1997/04/25 22:39:11  michael
-changed cerr and cout messages for use with Singular
-Version for libfac-0.2.1
-
-*/
Index: libfac/factor/Truefactor.h
===================================================================
--- libfac/factor/Truefactor.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/Truefactor.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -10,12 +10,2 @@
 #endif /* TRUEFACTOR_H */
 
-///////////////////////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.3  1997/09/12 07:19:53  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:25:50  michael
-Version for libfac-0.2.1
-
-*/
Index: libfac/factor/class.cc
===================================================================
--- libfac/factor/class.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/class.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -40,18 +40,2 @@
 #endif
 
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.5  2008/03/18 17:46:15  Singular
-*hannes: gcc 4.2
-
-Revision 1.4  2006/05/16 14:58:54  hannes
-*hannes: gcc-4.1 fixes
-
-Revision 1.3  1997/09/12 07:19:53  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.3  1997/04/25 22:38:04  michael
-Version for libfac-0.2.1
-
-*/
Index: libfac/factor/class.h
===================================================================
--- libfac/factor/class.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/class.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -57,18 +57,2 @@
 #endif /* INCL_CLASS_H */
 
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.6  2006/05/16 14:46:50  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.5  2000/05/29 08:06:47  pohl
-no artificial friend
-
-Revision 1.4  1997/09/12 07:19:54  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:21:26  michael
-Version for libfac-0.2.1
-
-*/
Index: libfac/factor/debug.h
===================================================================
--- libfac/factor/debug.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/debug.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -1,4 +1,4 @@
 ////////////////////////////////////////////////////////////
-// static char * rcsid = "$Id$" ;
+// $Id$
 ////////////////////////////////////////////////////////////
 // It is possible to include this file multiple times for different 
@@ -61,20 +61,2 @@
 #endif
 
-/*
-$Log: not supported by cvs2svn $
-Revision 1.5  2007/10/10 17:52:39  Singular
-*hannes: use debug stuf from factory
-
-Revision 1.4  2006/05/16 14:46:50  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.3  1997/09/12 07:19:55  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:15:33  michael
-Version for libfac-0.2.1
-
-Revision 1.1  1996/01/17 05:19:43  michael
-Initial revision
-
-*/
Index: libfac/factor/helpstuff.cc
===================================================================
--- libfac/factor/helpstuff.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/helpstuff.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -170,22 +170,2 @@
   return F;
 }
-
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.8  2008/03/18 17:46:16  Singular
-*hannes: gcc 4.2
-
-Revision 1.7  2008/03/17 17:44:17  Singular
-*hannes: fact.tst
-
-Revision 1.4  2001/06/19 15:29:04  Singular
-*hannes: optim.
-
-Revision 1.3  1997/09/12 07:19:56  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.3  1997/04/25 22:20:45  michael
-Version for libfac-0.2.1
-
-*/
Index: libfac/factor/helpstuff.h
===================================================================
--- libfac/factor/helpstuff.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/helpstuff.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -29,15 +29,2 @@
 #endif /* HELPSTUFF_H */
 
-///////////////////////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.6  2008/03/17 17:44:17  Singular
-*hannes: fact.tst
-
-Revision 1.3  1997/09/12 07:19:57  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:23:49  michael
-Version for libfac-0.2.1
-
-*/
Index: libfac/factor/homogfactor.cc
===================================================================
--- libfac/factor/homogfactor.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/homogfactor.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -209,39 +209,2 @@
 }
 
-/*
-$Log: not supported by cvs2svn $
-Revision 1.11  2008/04/09 09:41:48  Singular
-*hannes: removed debug code
-
-Revision 1.10  2008/04/08 16:19:10  Singular
-*hannes: removed rcsid
-
-Revision 1.9  2008/03/18 17:46:16  Singular
-*hannes: gcc 4.2
-
-Revision 1.8  2007/10/25 14:45:41  Singular
-*hannes: homgfactor for alg.ext of Q
-
-Revision 1.7  2006/05/16 14:46:50  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.6  2005/12/09 08:36:11  Singular
-*hannes: stuff for homog. polys ->factory
-
-Revision 1.5  2005/12/05 15:47:32  Singular
-*hannes: is_homogeneous -> factory: isHomogeneous
-
-Revision 1.4  2002/08/19 11:11:34  Singular
-* hannes/pfister: alg_gcd etc.
-
-Revision 1.3  1997/09/12 07:19:57  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:35:20  michael
-changed cerr and cout messages for use with Singular
-Version for libfac-0.2.1
-
-Revision 1.1  1997/01/17 05:05:48  michael
-Initial revision
-
-*/
Index: libfac/factor/homogfactor.h
===================================================================
--- libfac/factor/homogfactor.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/homogfactor.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -8,19 +8,2 @@
 CFFList HomogFactor( const CanonicalForm & g, const CanonicalForm  & minpoly, const int Mainvar );
 #endif /* HFACTOR_H */
-
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.5  2005/12/05 15:47:32  Singular
-*hannes: is_homogeneous -> factory: isHomogeneous
-
-Revision 1.4  2002/08/19 11:11:34  Singular
-* hannes/pfister: alg_gcd etc.
-
-Revision 1.3  1997/09/12 07:19:58  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:14:46  michael
-Version for libfac-0.2.1
-
-*/
Index: libfac/factor/interrupt.h
===================================================================
--- libfac/factor/interrupt.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/interrupt.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -1,3 +1,5 @@
 ///////////////////////////////////////////////////////////////////////////////
+// $Id$
+
 #ifndef INTERRUPT_H
 #define INTERRUPT_H
@@ -20,13 +22,2 @@
 
 #endif /* INTERRUPT_H */
-
-/*
-$Log: not supported by cvs2svn $
-Revision 1.3  2007/05/25 16:02:02  Singular
-*hannes: removed diophant_error, format
-
-Revision 1.2  1997/09/12 07:19:58  Singular
-* hannes/michael: libfac-0.3.0
-
-
-*/
Index: libfac/factor/timing.h
===================================================================
--- libfac/factor/timing.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/timing.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -1,5 +1,5 @@
 ////////////////////////////////////////////////////////////
 // emacs edit mode for this file is -*- C++ -*-
-// static char * rcsid = "$Id$";
+// $Id$
 ////////////////////////////////////////////////////////////
 // It is possible to include this file multiple times for different 
@@ -41,17 +41,2 @@
 #endif /* TIMING */
 
-/*
-$Log: not supported by cvs2svn $
-Revision 1.4  2006/05/16 14:46:50  Singular
-*hannes: gcc 4.1 fixes
-
-Revision 1.3  1997/09/12 07:19:59  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:13:56  michael
-Version for libfac-0.2.1
-
-Revision 1.1  1996/01/17 06:22:05  michael
-Initial revision
-
-*/
Index: libfac/factor/tmpl_inst.cc
===================================================================
--- libfac/factor/tmpl_inst.cc	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/tmpl_inst.cc	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -92,25 +92,2 @@
 template class ListIterator<CFFList>;
 #endif /* HAVE_DATABASE */
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.7  2006/05/16 14:58:54  hannes
-*hannes: gcc-4.1 fixes
-
-Revision 1.6  2003/04/09 13:39:12  Singular
-* hannes/Cornelsen: integrated stand-allone fixes
-
-Revision 1.5  2001/08/08 11:59:13  Singular
-*hannes: Dan's NOSTREAMIO changes
-
-Revision 1.4  1998/02/27 10:34:02  schmidt
-        * factor/tmpl_inst.cc: template names adapted (`*.cc' ->
-          `ftmpl_*.cc')
-
-Revision 1.3  1997/09/12 07:20:00  Singular
-* hannes/michael: libfac-0.3.0
-
-Revision 1.2  1997/04/25 22:34:36  michael
-Version for libfac-0.2.1
-
-*/
Index: libfac/factor/tmpl_inst.h
===================================================================
--- libfac/factor/tmpl_inst.h	(revision 878ca43e25690d3e9932bb99710fdfbeaec2ed70)
+++ libfac/factor/tmpl_inst.h	(revision 924d8f945e3bcd5e77ca2f9876dd37084ffd3cb7)
@@ -46,13 +46,3 @@
 #endif /* TMPL_INST_H */
 
-////////////////////////////////////////////////////////////
-/*
-$Log: not supported by cvs2svn $
-Revision 1.3  1997/09/12 07:20:01  Singular
-* hannes/michael: libfac-0.3.0
 
-Revision 1.2  1997/04/25 22:16:31  michael
-Version for libfac-0.2.1
-
-*/
-
